
2008-10-27  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* ChangeLog
	* NEWS
	* configure.ac
	  Release 0.2.0
	

2008-10-27  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* NEWS
	  Update NEWS with important bugfix
	

2008-10-27  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* NEWS
	* README
	* doc/reference/Makefile.am
	* doc/reference/gtkhotkey-sections.txt
	* test/test-registry.c
	  Fix test cases were we had a negated assertion
	  
	  Update NEWS and README with project code hosting pointing at Launchpad
	

2008-10-27  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* doc/reference/gtkhotkey-sections.txt
	* configure.ac
	* doc/reference/gtkhotkey-docs.sgml
	* doc/reference/gtkhotkey.types
	* src/Makefile.am
	* src/gtk-hotkey-error.h
	* src/gtk-hotkey-info.h
	* src/gtk-hotkey-key-file-registry.c
	* src/gtk-hotkey-key-file-registry.h
	* src/gtk-hotkey-listener.h
	* src/gtk-hotkey-marshal.h
	* src/gtk-hotkey-private.h
	* src/gtk-hotkey-registry.h
	* src/gtk-hotkey-utils.h
	* src/gtk-hotkey-x11-listener.h
	* test/Makefile.am
	* test/test-registry.c
	  Implement single-header-includes. Ie only gtkhotkey.h can be included from applications now
	  
	  Add autotools foo to do libtool library versioning
	  
	  Move error enum documentation to the classes where they belong
	  
	  Make the public documentation only consist of GtkHotkeyInfo, GtkHotkeyListener, and GtkHotkeyRegistry. The actual implementation classes should not be part of the public API anyway
	

2008-10-26  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* aclocal.m4
	* test/test-interactive-multi.c
	* po/Makefile.in.in
	* src/Makefile.am
	* src/gtk-hotkey-x11-listener.c
	* test/Makefile.am
	* test/test-interactive.c
	  Fix grave bug where applications with multiple hotkeys would trigger all hotkeys each time any 
	  single one of them where activated
	

2008-03-11  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* configure.ac
	  RELEASE 0.1
	

2008-03-11  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	  Error checking with double bind or unbind in GtkHotkeyInfo
	

2008-03-11  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* po/POTFILES.in
	* src/Makefile.am
	* src/gtk-hotkey-listener.c
	* test/test-registry.c
	  Fix make 'test' target declarations in src/
	  
	  Remember to disconnect signal handlers in the teardown of test/test-registry or else we get odd segfaults because of signalling on freed fixtures
	

2008-03-11  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/main.c
	* test/test-interactive.c
	* ChangeLog
	* src/Makefile.am
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	* src/gtk-hotkey-x11-listener.c
	* test/Makefile.am
	* test/test-interactive.c
	  Add an interactive test for hotkeys
	

2008-03-11  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* README
	  Small tweaks to README
	

2008-03-10  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-listener.c
	* src/gtk-hotkey-registry.c
	* src/gtk-hotkey-x11-listener.c
	* test/test-registry.c
	  Documentation updates. Doc is mostly complete.
	

2008-03-10  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-error.c
	* src/gtk-hotkey-error.h
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	* src/gtk-hotkey-key-file-registry.c
	* src/gtk-hotkey-key-file-registry.h
	* src/gtk-hotkey-listener.c
	* src/gtk-hotkey-listener.h
	* src/gtk-hotkey-private.h
	* src/gtk-hotkey-registry.c
	* src/gtk-hotkey-registry.h
	* src/gtk-hotkey-utils.c
	* src/gtk-hotkey-utils.h
	* src/gtk-hotkey-x11-listener.c
	* src/gtk-hotkey-x11-listener.h
	  Add LGPL 3 headers to all source files
	

2008-03-10  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* doc/gpl-3.0.txt
	* kind changed:
	* COPYING (symlink => file)
	* AUTHORS
	* Makefile.am
	* README
	* src/gtk-hotkey-error.c
	* src/gtk-hotkey-error.h
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-registry.c
	* src/gtk-hotkey-x11-listener.c
	  Documentation.
	  
	  Start adding license (LGPL 3)
	

2008-03-09  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* doc/Makefile.am
	* doc/reference/Makefile.am
	* src/gtk-hotkey-key-file-registry.c
	* src/gtk-hotkey-key-file-registry.h
	* src/gtk-hotkey-registry.c
	* test/test-registry.c
	  Phew, lots of distcheck fixes, but distcheck passes now.
	

2008-03-09  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* gtkhotkey-1.0.pc.in
	* src/gtkhotkey.h
	* Makefile.am
	* configure.ac
	* src/Makefile.am
	  More porject setup to make it actually useful as a library (.pc install headers etc)
	

2008-03-09  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-listener.c
	* src/gtk-hotkey-listener.h
	* src/gtk-hotkey-x11-listener.c
	  Port Listener.register_hotkey to Listener.bind_hotkey
	

2008-03-09  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-key-file-registry.c
	* src/gtk-hotkey-keyfile-storage.h
	* src/gtk-hotkey-key-file-registry.h
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-registry.c
	* src/gtk-hotkey-storage.h
	* src/gtk-hotkey-registry.h
	* test/test-storage.c
	* test/test-registry.c
	* doc/reference/gtkhotkey-docs.sgml
	* doc/reference/gtkhotkey.types
	* src/Makefile.am
	* src/gtk-hotkey-error.c
	* src/gtk-hotkey-error.h
	* src/gtk-hotkey-info.c
	* test/Makefile.am
	* src/gtk-hotkey-key-file-registry.c
	* src/gtk-hotkey-key-file-registry.h
	* src/gtk-hotkey-registry.c
	* src/gtk-hotkey-registry.h
	* test/test-registry.c
	  Refactor *Storage to *Registry
	

2008-03-09  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-error.h
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	* src/main.c
	  Rename Info.regsiter to Info.bind
	  
	  Add sporadic documentation
	

2008-03-09  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* doc/reference/Makefile.am
	* doc/reference/gtkhotkey-docs.sgml
	* doc/reference/gtkhotkey.types
	  Include the listener api in the documentation
	

2008-03-08  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* doc/reference/Makefile.am
	  Fixes
	

2008-03-08  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* doc/reference/gtkhotkey-docs.sgml
	* doc/reference/Makefile.am
	* doc/reference/gtkhotkey.types
	  gtk-doc working
	  
	  Tweak doc layout
	

2008-03-08  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* Makefile.am
	* autogen.sh
	* configure.ac
	  More gtk-doc
	

2008-03-08  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* Makefile.am
	* doc/reference/Makefile.am
	  More gtk-doc trying-to-get-it-working
	

2008-03-08  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* Makefile.am
	  Blah
	

2008-03-08  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* Makefile.am
	* doc/reference/Makefile.am
	  Try to get gtk-doc to work
	

2008-03-08  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* doc/
	* doc/Makefile.am
	* doc/reference/
	* doc/reference/Makefile.am
	* doc/reference/gtkhotkey.types
	* Makefile.am
	* aclocal.m4
	* autogen.sh
	* configure.ac
	* src/gtk-hotkey-info.c
	  Add stuff for gtk-doc
	  
	  Improce documentation for HotkeyInfo
	

2008-03-07  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* test/test-storage.c
	  Add more tests
	

2008-03-07  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-keyfile-storage.c
	* test/test-storage.c
	  Implement get_all_hotkeys() in keyfile storage
	

2008-03-07  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-storage.c
	* test/test-storage.c
	  Implement get_application_hotkeys in keyfile storage
	  
	  Add test for get_application_hotkeys
	  
	  Fix error handling a few places in keyfile storage
	

2008-03-07  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-keyfile-storage.c
	  Factor out some geneic operations inside KeyFileStorage
	

2008-03-07  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-storage.h
	* test/test-storage.c
	  Change Storage signals hotkey-added -> -stored and hotkey-removed -> -deleted.
	  
	  Make sure that KeyFileStorage emits these signals appproppriate, and add unit tests to check this.
	

2008-03-07  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-error.h
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-storage.h
	* src/gtk-hotkey-utils.c
	* test/test-storage.c
	  Implementation of keyfile storage halfway done. The functional parts are unit tested.
	

2008-03-06  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* Makefile.decl
	* test/
	* test/Makefile.am
	* test/test-storage.c
	* Makefile.am
	* configure.ac
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-storage.h
	* src/gtk-hotkey-utils.c
	  Add gtest test suite infrastructure
	  
	  Fix some file existance tests in keyfile-storage
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-utils.c
	* src/gtk-hotkey-utils.h
	* src/Makefile.am
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-listener.c
	* src/gtk-hotkey-listener.h
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-x11-listener.c
	* src/main.c
	  Start implementing keyfile storage
	  
	  Add -utils.{h,c} with some gio utils for now
	  
	  Convert register_hotkey methods to return bools
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-storage.h
	  Dog, has_hotkey should of course take (app_id, key_id)
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-storage.h
	  Make has_hotkey take a key_id and not an Info
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-storage.h
	  Add has_hotkey to Storage
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	  Bah, build fixes
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	  Add 'description' property to Info
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-keyfile-storage.h
	  Clean up code for KeyFileStorage
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-error.c
	* src/gtk-hotkey-error.h
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-storage.h
	* src/gtk-hotkey-x11-listener.c
	  Implement the abstract Storage class.
	  
	  Tweak error defs.
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/main.c
	  Better outout from main.c test
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-x11-listener.c
	* src/main.c
	* src/x11/tomboykeybinder.c
	  First keybinding succeeded!
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* gtkhotkey.anjuta
	* src/gtk-hotkey-error.c
	* src/gtk-hotkey-error.h
	* src/Makefile.am
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	* src/gtk-hotkey-listener.c
	* src/main.c
	  Include -error.{h,c} which I forgot to bzr add before.
	  
	  Make a small test in main.c
	

2008-03-05  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-marshal.c
	* src/gtk-hotkey-marshal.h
	* src/marshal.list
	* src/Makefile.am
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	* src/gtk-hotkey-listener.c
	* src/gtk-hotkey-listener.h
	* src/gtk-hotkey-x11-listener.c
	* src/gtk-hotkey-x11-listener.h
	  Polish on *Info.
	  
	  Implement (untested) X11 listener based on the tomboy keybinder
	

2008-03-04  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/x11/
	* src/x11/eggaccelerators.c
	* src/x11/eggaccelerators.h
	* src/x11/tomboykeybinder.c
	* src/x11/tomboykeybinder.h
	* src/Makefile.am
	  Import tomboykeybinder.{h,c} and eggacellerators.{h,c} from deskbar-applet/deskbar/core/keybinder rev 1937.
	

2008-03-04  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* src/gtk-hotkey-info.c
	* src/gtk-hotkey-info.h
	* src/gtk-hotkey-keyfile-storage.c
	* src/gtk-hotkey-keyfile-storage.h
	* src/gtk-hotkey-listener.c
	* src/gtk-hotkey-listener.h
	* src/gtk-hotkey-private.h
	* src/gtk-hotkey-storage.c
	* src/gtk-hotkey-storage.h
	* src/gtk-hotkey-x11-listener.c
	* src/gtk-hotkey-x11-listener.h
	* vala_stubs/
	* vala_stubs/gtk-hotkey-info.vala
	* vala_stubs/gtk-hotkey-keyfile-storage.vala
	* vala_stubs/gtk-hotkey-listener.vala
	* vala_stubs/gtk-hotkey-storage.vala
	* vala_stubs/gtk-hotkey-x11-listener.vala
	* Makefile.am
	* configure.ac
	* src/Makefile.am
	  Putting basic stuff in place.
	  
	  Implemented: HotkeyInfo, HotkeyListener.
	

2008-03-04  "Mikkel Kamstrup Erlandsen" <mikkel.kamstrup@gmail.com>
	* AUTHORS
	* COPYING@
	* ChangeLog
	* INSTALL@
	* Makefile.am
	* NEWS
	* README
	* aclocal.m4
	* autogen.sh
	* configure.ac
	* po/
	* po/LINGUAS
	* po/Makefile.in.in
	* po/POTFILES.in
	* src/
	* src/Makefile.am
	* src/main.c
	  Initial setup
	
